import React from 'react';
import { StandardProps } from '../../@types/common';
export interface DropdownMenuItemProps<T = string> extends StandardProps {
    /** the main content */
    children?: React.ReactNode;
    /** You can use custom element for this element */
    componentClass?: React.ElementType;
    /** The value of the current option */
    eventKey?: T;
    /** Select the callback function for the current option */
    onSelect?: (eventKey: any, event: React.SyntheticEvent) => void;
    /** Set as divider component */
    divider?: boolean;
}
declare class DropdownMenuItem extends React.Component<DropdownMenuItemProps> {
    static defaultProps: {
        componentClass: React.FC<import("../SafeAnchor/SafeAnchor").SafeAnchorProps>;
    };
    render(): JSX.Element;
}
export default DropdownMenuItem;
