import React from 'react';
import { StandardProps } from '../../@types/common';
export declare type DropdownSubMenuTrigger = 'click' | 'hover';
export interface DropdownSubMenuProps<T = string> extends StandardProps {
    /** the submenu content option */
    children?: React.ReactNode;
    /** The active key of the option */
    activeKey?: T;
    /** Trigger events */
    trigger?: DropdownSubMenuTrigger | DropdownSubMenuTrigger[];
    /** Toggle component */
    toggle?: React.ReactNode;
    /** You can use cutom toggle component */
    renderToggle?: (children: React.ReactNode) => React.ReactNode;
}
declare const DropdownSubMenu: (props: DropdownSubMenuProps) => JSX.Element;
export default DropdownSubMenu;
