import SidebarComponent from './Sidebar';
import SidebarFooter from './SidebarFooter';
import SidebarHeader from './SidebarHeader';
import SidebarContentScroll from './SidebarContentScroll';
import SidebarNav from './SidebarNav';
import SidebarNavItem from './SidebarNavItem';
import SidebarNavHeader from './SidebarNavHeader';
declare type SidebarComponentType = typeof SidebarComponent;
interface ISidebar extends SidebarComponentType {
    Header: typeof SidebarHeader;
    Footer: typeof SidebarFooter;
    SectionNav: typeof SidebarNav;
    NavHeader: typeof SidebarNavHeader;
    NavItem: typeof SidebarNavItem;
    ContentScroll: typeof SidebarContentScroll;
}
declare const Sidebar: ISidebar;
export default Sidebar;
