import React from 'react';
import { StandardProps, TypeAttributes } from '../@types/common';
export interface ButtonProps extends StandardProps {
    /** On click event */
    onClick?: (event: React.SyntheticEvent) => void;
    /** Size of the button */
    size?: TypeAttributes.Size;
    /** Button appearance */
    appearance?: TypeAttributes.Appearence;
    /** Button color */
    color?: TypeAttributes.Color;
    /** Set the button fluid to the container */
    block?: boolean;
    /** You can use custom element for this component */
    componentClass?: React.ElementType;
    /** The main content */
    children?: React.ReactNode;
}
declare const Button: (props: ButtonProps) => JSX.Element;
export default Button;
