import React from 'react';
import { StandardProps, TypeAttributes } from '../../@types/common';
export interface AvatarProps extends StandardProps {
    alt?: string;
    src?: string;
    children?: React.ReactNode;
    size?: TypeAttributes.Size;
    shape?: 'circle' | 'square';
    backgroundColor?: string;
    bordered: boolean;
}
declare const Avatar: {
    (props: AvatarProps): JSX.Element;
    defaultProps: {
        size: string;
        shape: string;
        backgroundColor: string;
    };
};
export default Avatar;
