import React, { SyntheticEvent } from 'react';
export interface DropdownToggleProps {
    /** the main content */
    children?: React.ReactNode;
    /** You can use custom element for this component */
    componentClass?: React.ElementType;
    /** you can custom toggle component */
    renderToggle?: (children: React.ReactNode) => React.ReactNode;
    /** On click event action */
    onClick?: (event: SyntheticEvent) => void;
}
declare const DropdownToggle: (props: DropdownToggleProps) => JSX.Element;
export default DropdownToggle;
