import DropdownComponent from './Dropdown';
import DropdownMenu from './DropdownMenu';
import DropdownMenuItem from './DropdownMenuItem';
import DropdownSubMenu from './DropdownSubMenu';
declare type DropdownComponentType = typeof DropdownComponent;
interface Dropdown extends DropdownComponentType {
    Menu: typeof DropdownMenu;
    Item: typeof DropdownMenuItem;
    SubMenu: typeof DropdownSubMenu;
}
declare const Dropdown: Dropdown;
export default Dropdown;
export * from './Dropdown';
export * from './DropdownMenu';
export * from './DropdownSubMenu';
