import * as React from 'react';
interface RootCloseWrapperProps {
    children: React.ReactNode;
    onRootClose?: (event: React.SyntheticEvent) => void;
    target?: () => HTMLElement;
}
declare class RootCloseWrapper extends React.Component<RootCloseWrapperProps> {
    onDocumentClickListener: any;
    onDocumentKeyupListener: any;
    childRef: React.RefObject<any>;
    constructor(props: RootCloseWrapperProps);
    componentDidMount(): void;
    componentWillUnmount(): void;
    handleDocumentClick: (event: any) => void;
    handleDocumentKeyUp: (event: React.KeyboardEvent) => void;
    render(): any;
}
export default RootCloseWrapper;
