import React from 'react';
export interface PageComponentProps {
    /** The main component */
    children?: React.ReactNode;
    /** The theme of the app, default to 'Light' */
    theme?: object;
}
declare const PageComponent: {
    ({ children, theme }: PageComponentProps): JSX.Element;
    defaultProps: {
        theme: {
            color: {
                whiteColor: string;
                background: string;
                textColor: string;
                defaultColor: string;
                primaryColor: string;
                warningColor: string;
                infoColor: string;
                errorColor: string;
                successColor: string;
            }; /** The theme of the app, default to 'Light' */
        };
    };
};
export default PageComponent;
