import React from 'react';
export interface PageHeaderProps {
    /** The children component */
    children?: React.ReactNode;
    /** The title of the page */
    title?: React.ReactNode | string;
    /** Navigation tab on the page header */
    navigation?: React.ReactNode;
    leftElement?: React.ReactNode;
    rightElement?: React.ReactNode;
}
/** Render page header component */
declare const PageHeader: ({ children, title, navigation, leftElement, rightElement }: PageHeaderProps) => JSX.Element;
export default PageHeader;
