import React from 'react';
export interface PageModalHeaderProps {
    /** The main component */
    children?: React.ReactNode;
    /** The return to the parent page when page is close, default to '/' */
    closeTo?: string;
    /** set the fixed top height */
    top?: number;
}
declare const PageModalHeader: ({ children, top, closeTo }: PageModalHeaderProps) => JSX.Element;
export default PageModalHeader;
